view chart buttons sometimes disappear after clicking
Priority: Normal
Assignee: boaz shust
Category: Web Interface

Target version:

Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/6140
Description

On the fact values page (Monitor -> Facts) clicking on the view chart button makes the button disappear.

Looking at the console.log | see the following errors.

The above error occurred in the <FactChart> component:

in FactChart (created by Connect(FactChart))

in Connect(FactChart)

in Provider

Consider adding an error boundary to your tree to customize error handling behavior.

Error: The number that was passed in is not a number

Attaching screenshot

Related issues:
Is duplicate of Foreman - Bug #25204: Fact chart modal triggers an error Duplicate

Associated revisions

Revision ea48efb1 - 10/16/2018 02:45 PM - Boaz Shuster

Fixes #25203 - show hosts count if hostsCount is not null

ngettext expects the last argument to be a number.
factCharts.hostsCount is initialized to null in Redux.

when rendering the factChart modal the number of hosts is
translated using ngettext.

However, if factChart is rendered before the data arrives
the component will fail printing the error below in the console:

"The number that was passed in is not a number"

To fix this if factCharts.hostsCount is null don't display
hosts count in the title.

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1-10/15/2018 11:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6140 added
#2 - 10/15/2018 01:57 PM - boaz shust
- Is duplicate of Bug #25204: Fact chart modal triggers an error added

#3 - 10/16/2018 03:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset ea48efb1b443bda9f349cd94342a627c4f27dd6d.

#4 - 10/16/2018 03:32 PM - Marek Hulan
- Fixed in Releases 1.20.0 added
